List the events of a watch
The events a watch of your watchlist was told, newest first: one per change of the watched property that one of its notification rules admitted.
Authorization
apiKey X-API-KEY<token>
Value for the X-API-KEY header parameter.
In: header
Path Parameters
watchId*string
Watch id
Query Parameters
page?integer
The collection page number
Default
1order[createdAt]?string
Sort events by creation date. Accepts asc or desc.
Default
"asc"Value in
- "asc"
- "desc"
createdAt[before]?string
Only events created on or before this date.
createdAt[strictly_before]?string
Only events created strictly before this date.
createdAt[after]?string
Only events created on or after this date.
createdAt[strictly_after]?string
Only events created strictly after this date.
Response Body
curl -X GET "https://example.com/watchlist/3fa85f64-5717-4562-b3fc-2c963f66afa6/events?createdAt%5Bbefore%5D=2026-01-31&createdAt%5Bstrictly_before%5D=2026-01-31&createdAt%5Bafter%5D=2026-01-01&createdAt%5Bstrictly_after%5D=2026-01-01"[ { "watch": "https://example.com/", "property": "https://example.com/", "eventType": "PRICE_CHANGE", "scope": "PROPERTY", "notifiedAt": "2026-07-28T09:15:00+00:00", "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "createdAt": "2026-01-15T10:30:00+00:00", "updatedAt": "2026-05-20T14:45:00+00:00" }]